com.google.web.bindery.autobean.shared

## Interface AutoBeanVisitor.CollectionPropertyContext

All Superinterfaces:
  AutoBeanVisitor.PropertyContext

Enclosing class:
  AutoBeanVisitor

    public static interface AutoBeanVisitor.CollectionPropertyContext
    extends AutoBeanVisitor.PropertyContext

A PropertyContext that describes the parameterization of the Collection being visited.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<?>` `getElementType()` Returns the collection's element type.

### Methods inherited from interface com.google.web.bindery.autobean.shared.AutoBeanVisitor.PropertyContext

`accept, canSet, getType, set`

### Method Detail

#### getElementType

    java.lang.Class<?> getElementType()

Returns the collection's element type.

Returns:
  a Class object representing the element type